org.gnome.gdk

## Class NotifyType

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gdk.NotifyType

-     public final class NotifyType
      extends org.freedesktop.bindings.Constant

  The kind of motion in an EventCrossing. These Constants describe the relationship between the GDK Window that the mouse pointer left, and the GDK Window that the mouse pointer entered.
  Since:
    4.0.7
  Author:
    Andrew Cowie
  See Also:
    The XLib programming manual, section 10.6

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NotifyType` | `ANCESTOR` The mouse has moved from an inferior Window to a superior or enclosing one.
    `static NotifyType` | `INFERIOR` The mouse has moved from a superior (parent, enclosing) Window to an inferior (child) one.
    `static NotifyType` | `NONLINEAR` The mouse moved between unrelated Windows.
    `static NotifyType` | `NONLINEAR_VIRTUAL`
    `static NotifyType` | `UNKNOWN`
    `static NotifyType` | `VIRTUAL` This event is generated for Windows that lay between the receiving Window and the departing Window.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ANCESTOR

          public static final NotifyType ANCESTOR

      The mouse has moved from an inferior Window to a superior or enclosing one.

    - #### INFERIOR

          public static final NotifyType INFERIOR

      The mouse has moved from a superior (parent, enclosing) Window to an inferior (child) one.

    - #### NONLINEAR

          public static final NotifyType NONLINEAR

      The mouse moved between unrelated Windows. This is what seems to occur most of the time when you exit the app and cross to the root X Window or some other application's Window. Not terribly helpful otherwise.

    - #### NONLINEAR_VIRTUAL

          public static final NotifyType NONLINEAR_VIRTUAL

    - #### UNKNOWN

          public static final NotifyType UNKNOWN

    - #### VIRTUAL

          public static final NotifyType VIRTUAL

      This event is generated for Windows that lay between the receiving Window and the departing Window.